Bug 738608 - vif (netback) should take its default MTU from the bridge
Summary: vif (netback) should take its default MTU from the bridge
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen
Version: 5.6
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Paolo Bonzini
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 697310
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 11:21 UTC by RHEL Product and Program Management
Modified: 2018-11-14 12:45 UTC (History)
13 users (show)

Fixed In Version: xen-3.0.3-132.el5_7.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-24 17:14:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1401 normal SHIPPED_LIVE Moderate: xen security and bug fix update 2011-10-24 17:13:51 UTC

Description RHEL Product and Program Management 2011-09-15 11:21:21 UTC
This bug has been copied from bug #697310 and has been proposed
to be backported to 5.7 z-stream (EUS).

Comment 4 Miroslav Rezanina 2011-09-19 08:28:33 UTC
Fix built into xen-3.0.3-132.el5_7.1

Comment 6 Qixiang Wan 2011-09-20 14:12:07 UTC
Verified with xen-3.0.3-132.el5_7.1.

Test env setup:

2 hosts of RHEL5.7.z x86_64:
kernel: kernel-xen-2.6.18-274.5.1.el5
Network card: Intel Corporation 82566DM-2 Gigabit Network, driver: e1000e
xen: xen-3.0.3-132.el5_7.1

Guest RHEL5.7.z x86_64 PV guest:
kernel: kernel-xen-2.6.18-274.5.1.el5

[1] Connect the 2 hosts with a crossover cable

[2] Configure the 2 hosts to use static ip and set MTU=9000, like this
# cat /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
HWADDR=00:23:AE:6F:F6:3D
BOOTPROTO=static
IPADDR=192.168.0.1
NETMASK=255.255.255.0
MTU=9000
ONBOOT=yes

eth0 is the interface connect to the crossover cable, and xen bridge connects to eth0:
# cat /etc/xen/xend-config.sxp
(network-script 'network-bridge netdev=eth0 bridge=xenbr0')

similar configuration on the other host.

[3] install the PV guest, update kernel to zstream kernel and configure the virtual nic to use static ip (in the same subnet of host) and MTU=9000, guest is using xenbr0.

[4] boot up the PV guest with the configuration in step [3].

[5] migrate the guest between the 2 hosts.

Test result:

1. After step [2], the interfaces eth0, peth0 and xenbr0 shows up with MTU=9000 in ifconfig output.
2. After step [4], the interface of backend vif has MTU=9000  in Dom0 (e.g. vif2.0)ifconfig output.
   The ifconfig output within DomU aslo has MTU=9000 for frontend interface (e.g. eth0) too.
3. After step [5], the interface of backend vif on the destination host has MTU=9000 in Dom0 (e.g. vif2.0)ifconfig output.
   The ifconfig output within DomU aslo has MTU=9000 for frontend interface (e.g. eth0) too.

Comment 7 errata-xmlrpc 2011-10-24 17:14:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1401.html


Note You need to log in before you can comment on or make changes to this bug.